/****************************************************************************
** Form implementation generated from reading ui file 'chatviewinterface.ui'
**
** Created: Thu Mar 6 14:24:01 2003
**      by: The User Interface Compiler ($Id: chatviewinterface.cpp,v 1.5 2003/05/04 04:37:03 mkb137 Exp $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatviewinterface.h"

#include <qvariant.h>
#include <ksqueezedtextlabel.h>
#include <ktextbrowser.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <klocale.h>

/* 
 *  Constructs a ChatViewInterface as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
ChatViewInterface::ChatViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChatViewInterface" );

    layout6 = new QVBoxLayout( this, 0, 0, "layout6");

    layout5 = new QVBoxLayout( 0, 6, 6, "layout5");

    chatBrowser_ = new KTextBrowser( this, "chatBrowser_" );
    chatBrowser_->setNotifyClick( TRUE );
    layout5->addWidget( chatBrowser_ );

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3");

    messageEdit_ = new QTextEdit( this, "messageEdit_" );
    messageEdit_->setMaximumSize( QSize( 32767, 80 ) );

    layout3->addMultiCellWidget( messageEdit_, 0, 1, 0, 0 );

    sendButton_ = new QPushButton( this, "sendButton_" );
    sendButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sendButton_->sizePolicy().hasHeightForWidth() ) );
    sendButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( sendButton_, 0, 1 );

    newLineButton_ = new QPushButton( this, "newLineButton_" );
    newLineButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, newLineButton_->sizePolicy().hasHeightForWidth() ) );
    newLineButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( newLineButton_, 1, 1 );
    layout5->addLayout( layout3 );
    layout6->addLayout( layout5 );

    typingLabel_ = new KSqueezedTextLabel( this, "typingLabel_" );
    typingLabel_->setMinimumSize( QSize( 0, 20 ) );
    typingLabel_->setFrameShape( KSqueezedTextLabel::WinPanel );
    typingLabel_->setFrameShadow( KSqueezedTextLabel::Sunken );
    typingLabel_->setMargin( -1 );
    layout6->addWidget( typingLabel_ );
    languageChange();
    resize( QSize(487, 519).expandedTo(minimumSizeHint()) );

    // signals and slots connections
    connect( sendButton_, SIGNAL( pressed() ), this, SLOT( sendClicked() ) );
    connect( newLineButton_, SIGNAL( pressed() ), this, SLOT( newLineClicked() ) );
    connect( messageEdit_, SIGNAL( textChanged() ), this, SLOT( messageTextChanged() ) );
    connect( messageEdit_, SIGNAL( returnPressed() ), this, SLOT( enterPressed() ) );
    connect( chatBrowser_, SIGNAL( linkClicked(const QString&) ), this, SLOT( urlClicked(const QString&) ) );

    // tab order
    setTabOrder( messageEdit_, sendButton_ );
    setTabOrder( sendButton_, newLineButton_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChatViewInterface::~ChatViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChatViewInterface::languageChange()
{
    setCaption( "ChatViewInterface" );
    sendButton_->setText( i18n( "Send" ) );
    newLineButton_->setText( i18n( "New Line" ) );
    newLineButton_->setAccel( Qt::CTRL + Qt::Key_Return );
    typingLabel_->setText( QString::null );
}

void ChatViewInterface::enterPressed()
{
    qWarning( "ChatViewInterface::enterPressed(): Not implemented yet" );
}

void ChatViewInterface::sendClicked()
{
    qWarning( "ChatViewInterface::sendClicked(): Not implemented yet" );
}

void ChatViewInterface::newLineClicked()
{
    qWarning( "ChatViewInterface::newLineClicked(): Not implemented yet" );
}

void ChatViewInterface::messageTextChanged()
{
    qWarning( "ChatViewInterface::messageTextChanged(): Not implemented yet" );
}

void ChatViewInterface::urlClicked(const QString&)
{
    qWarning( "ChatViewInterface::urlClicked(const QString&): Not implemented yet" );
}

