/***************************************************************************
                          contactlisttooltip.h  -  description
                             -------------------
    begin                : Mon Sep 8 2003
    copyright            : (C) 2003 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONTACTLISTTOOLTIP_H
#define CONTACTLISTTOOLTIP_H

#include <qtooltip.h>

class ContactList;
class ContactListView;

/**
  *@author Michael Curtis
  */

class ContactListToolTip : public QToolTip
{
  public: 
	  ContactListToolTip( ContactListView * widget, ContactList *contactList, QToolTipGroup * group = 0 );
    virtual ~ContactListToolTip();
  protected:
    void maybeTip ( const QPoint & p );
  private:
    ContactList *       contactList_;
    ContactListView *   listView_;
};

#endif
