/***************************************************************************
                          specialgroups.h  -  description
                             -------------------
    begin                : Tue Oct 22 2002
    copyright            : (C) 2002 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Define the special groups here
#ifndef SPECIALGROUPS_H
#define SPECIALGROUPS_H

#include <qstring.h>

namespace Applications
{
  const int SENDTRANSFER     = 1;
  const int RECEIVETRANSFER  = 2;
  const int GNOMEMEETING     = 3;
  const int REMOTEDESKTOP    = 4;
  const int KDEREMOTEDESKTOP = 5;
};

namespace SpecialGroups
{
  const QString ONLINE  = "96";
  const QString OFFLINE = "97";
  const QString ALLOWED = "98";
  const QString REMOVED = "99";
};

namespace SpecialColumns
{
  const int IDENTIFIER = 0;
  const int SORT = 1;
  const int STATUS = 2;
  //const int METAGROUPID = 3;
}

#endif
